/*
** 1998-12-25 -	Header for the new shortcut utility module. Cleanup.
*/

ShortcutBank *	shc_shortcutbank_new(void);
ShortcutBank *	shc_shortcutbank_new_default(void);
ShortcutBank *	shc_shortcutbank_copy(ShortcutBank *shb);
void		shc_shortcutbank_add_shortcut(ShortcutBank *shb, Shortcut *shc);
gint		shc_shortcutbank_move_shortcut(ShortcutBank *shb, Shortcut *shc, gint delta);
void		shc_shortcutbank_kill_shortcut(ShortcutBank *shb, Shortcut *shc);
GtkWidget *	shc_shortcutbank_build(MainInfo *min, ShortcutBank *shb);
void		shc_shortcutbank_pack(MainInfo *min, ShortcutBank *shb, GtkWidget *hbox, GtkWidget *other);
void		shc_shortcutbank_clear(ShortcutBank *shb);
void		shc_shortcutbank_destroy(ShortcutBank *shb);

Shortcut *	shc_shortcut_new(void);
Shortcut *	shc_shortcut_copy(Shortcut *shc);
void		shc_shortcut_destroy(Shortcut *shc);
